import 'dart:typed_data';

final frameBytes = [
// Tombstone frame
  Uint8List.fromList([
    24,
    0,
    0,
    0,
    15,
    84,
    111,
    109,
    98,
    115,
    116,
    111,
    110,
    101,
    32,
    102,
    114,
    97,
    109,
    101,
    81,
    51,
    25,
    220
  ]),
// Int
  Uint8List.fromList([
    21,
    0,
    0,
    0,
    3,
    73,
    110,
    116,
    1,
    0,
    0,
    0,
    204,
    214,
    90,
    157,
    65,
    212,
    36,
    174,
    91
  ]),
// Large int
  Uint8List.fromList([
    27,
    0,
    0,
    0,
    9,
    76,
    97,
    114,
    103,
    101,
    32,
    105,
    110,
    116,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    65,
    64,
    9,
    67,
    61,
    115
  ]),
// Bool true
  Uint8List.fromList([
    20,
    0,
    0,
    0,
    9,
    66,
    111,
    111,
    108,
    32,
    116,
    114,
    117,
    101,
    3,
    1,
    91,
    248,
    153,
    123
  ]),
// Bool false
  Uint8List.fromList([
    21,
    0,
    0,
    0,
    10,
    66,
    111,
    111,
    108,
    32,
    102,
    97,
    108,
    115,
    101,
    3,
    0,
    246,
    140,
    65,
    7
  ]),
// Float
  Uint8List.fromList([
    23,
    0,
    0,
    0,
    5,
    70,
    108,
    111,
    97,
    116,
    2,
    10,
    129,
    92,
    226,
    126,
    12,
    200,
    64,
    2,
    60,
    245,
    230
  ]),
// Unicode string
  Uint8List.fromList([
    106,
    0,
    0,
    0,
    14,
    85,
    110,
    105,
    99,
    111,
    100,
    101,
    32,
    115,
    116,
    114,
    105,
    110,
    103,
    4,
    80,
    0,
    65,
    32,
    102,
    101,
    119,
    32,
    99,
    104,
    97,
    114,
    97,
    99,
    116,
    101,
    114,
    115,
    32,
    119,
    104,
    105,
    99,
    104,
    32,
    97,
    114,
    101,
    32,
    110,
    111,
    116,
    32,
    65,
    83,
    67,
    73,
    73,
    58,
    32,
    240,
    159,
    135,
    181,
    240,
    159,
    135,
    172,
    32,
    240,
    159,
    152,
    128,
    32,
    240,
    159,
    144,
    157,
    32,
    234,
    177,
    159,
    32,
    239,
    188,
    132,
    32,
    228,
    185,
    189,
    32,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    154,
    128,
    204,
    249,
    241,
    77
  ]),
// Empty list
  Uint8List.fromList([
    22,
    0,
    0,
    0,
    10,
    69,
    109,
    112,
    116,
    121,
    32,
    108,
    105,
    115,
    116,
    10,
    0,
    0,
    221,
    138,
    15,
    19
  ]),
// Byte list
  Uint8List.fromList([
    25,
    0,
    0,
    0,
    9,
    66,
    121,
    116,
    101,
    32,
    108,
    105,
    115,
    116,
    5,
    4,
    0,
    1,
    12,
    123,
    210,
    169,
    226,
    177,
    186
  ]),
// Int list
  Uint8List.fromList([
    44,
    0,
    0,
    0,
    8,
    73,
    110,
    116,
    32,
    108,
    105,
    115,
    116,
    6,
    3,
    0,
    0,
    0,
    0,
    0,
    0,
    192,
    94,
    64,
    0,
    0,
    0,
    0,
    0,
    128,
    124,
    64,
    0,
    0,
    0,
    120,
    245,
    212,
    158,
    65,
    93,
    113,
    55,
    244
  ]),
// Bool list
  Uint8List.fromList([
    25,
    0,
    0,
    0,
    9,
    66,
    111,
    111,
    108,
    32,
    108,
    105,
    115,
    116,
    8,
    4,
    0,
    1,
    0,
    0,
    1,
    138,
    31,
    234,
    201
  ]),
// Double list
  Uint8List.fromList([
    63,
    0,
    0,
    0,
    11,
    68,
    111,
    117,
    98,
    108,
    101,
    32,
    108,
    105,
    115,
    116,
    7,
    5,
    0,
    246,
    227,
    64,
    89,
    66,
    88,
    36,
    64,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    127,
    255,
    255,
    255,
    255,
    255,
    255,
    239,
    127,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    255,
    173,
    108,
    128,
    115
  ]),
// String list
  Uint8List.fromList([
    165,
    0,
    0,
    0,
    11,
    83,
    116,
    114,
    105,
    110,
    103,
    32,
    108,
    105,
    115,
    116,
    9,
    6,
    0,
    5,
    0,
    104,
    101,
    108,
    108,
    111,
    40,
    0,
    240,
    159,
    167,
    153,
    226,
    128,
    141,
    226,
    153,
    130,
    239,
    184,
    143,
    32,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    145,
    168,
    226,
    128,
    141,
    240,
    159,
    145,
    167,
    226,
    128,
    141,
    240,
    159,
    145,
    166,
    32,
    24,
    0,
    32,
    239,
    187,
    172,
    32,
    239,
    187,
    173,
    32,
    239,
    187,
    174,
    32,
    239,
    187,
    175,
    32,
    239,
    187,
    176,
    32,
    239,
    187,
    177,
    12,
    0,
    224,
    180,
    133,
    32,
    224,
    180,
    134,
    32,
    224,
    180,
    135,
    32,
    17,
    0,
    32,
    239,
    173,
    134,
    32,
    239,
    173,
    135,
    32,
    239,
    173,
    136,
    32,
    239,
    173,
    137,
    32,
    32,
    0,
    239,
    189,
    169,
    32,
    239,
    189,
    170,
    32,
    239,
    189,
    171,
    32,
    239,
    189,
    172,
    32,
    239,
    189,
    173,
    32,
    239,
    189,
    174,
    32,
    239,
    189,
    175,
    32,
    239,
    189,
    176,
    32,
    18,
    69,
    87,
    112
  ]),
// List with null
  Uint8List.fromList([
    50,
    0,
    0,
    0,
    14,
    76,
    105,
    115,
    116,
    32,
    119,
    105,
    116,
    104,
    32,
    110,
    117,
    108,
    108,
    10,
    5,
    0,
    4,
    4,
    0,
    84,
    104,
    105,
    115,
    4,
    2,
    0,
    105,
    115,
    4,
    1,
    0,
    97,
    4,
    4,
    0,
    116,
    101,
    115,
    116,
    0,
    172,
    25,
    160,
    243
  ]),
// List with different types
  Uint8List.fromList([
    106,
    0,
    0,
    0,
    25,
    76,
    105,
    115,
    116,
    32,
    119,
    105,
    116,
    104,
    32,
    100,
    105,
    102,
    102,
    101,
    114,
    101,
    110,
    116,
    32,
    116,
    121,
    112,
    101,
    115,
    10,
    6,
    0,
    4,
    4,
    0,
    76,
    105,
    115,
    116,
    6,
    3,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    63,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64,
    0,
    0,
    0,
    0,
    0,
    0,
    8,
    64,
    2,
    51,
    51,
    51,
    51,
    51,
    51,
    23,
    64,
    3,
    1,
    1,
    0,
    0,
    0,
    64,
    254,
    137,
    103,
    65,
    11,
    2,
    0,
    4,
    1,
    0,
    116,
    3,
    1,
    4,
    1,
    0,
    102,
    3,
    0,
    116,
    133,
    239,
    134
  ]),
// Map
  Uint8List.fromList([
    148,
    0,
    0,
    0,
    3,
    77,
    97,
    112,
    11,
    7,
    0,
    4,
    4,
    0,
    66,
    111,
    111,
    108,
    3,
    1,
    4,
    3,
    0,
    73,
    110,
    116,
    1,
    0,
    0,
    0,
    0,
    0,
    72,
    147,
    64,
    4,
    6,
    0,
    68,
    111,
    117,
    98,
    108,
    101,
    2,
    102,
    102,
    102,
    102,
    102,
    102,
    47,
    64,
    4,
    6,
    0,
    83,
    116,
    114,
    105,
    110,
    103,
    4,
    5,
    0,
    72,
    101,
    108,
    108,
    111,
    4,
    4,
    0,
    76,
    105,
    115,
    116,
    10,
    3,
    0,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    240,
    63,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64,
    0,
    4,
    4,
    0,
    78,
    117,
    108,
    108,
    0,
    4,
    3,
    0,
    77,
    97,
    112,
    11,
    2,
    0,
    4,
    3,
    0,
    75,
    101,
    121,
    4,
    3,
    0,
    86,
    97,
    108,
    4,
    4,
    0,
    75,
    101,
    121,
    50,
    1,
    0,
    0,
    0,
    0,
    0,
    0,
    0,
    64,
    94,
    228,
    153,
    227
  ]),
];
