import 'dart:typed_data';

final frameBytesEncryptedBodyOnly = [
// Tombstone frame
  Uint8List.fromList([205, 79, 23, 87]),
// Int
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    82,
    198,
    151,
    23,
    112,
    174,
    237,
    78,
    222,
    220,
    78,
    115,
    15,
    194,
    219,
    229,
    101,
    82,
    251,
    175
  ]),
// Large int
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    80,
    221,
    135,
    59,
    2,
    74,
    46,
    88,
    85,
    32,
    125,
    127,
    92,
    215,
    26,
    237,
    11,
    63,
    138,
    27
  ]),
// Bool true
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    203,
    6,
    35,
    157,
    211,
    201,
    172,
    60,
    80,
    166,
    35,
    211,
    224,
    91,
    108,
    121,
    107,
    175,
    183,
    218
  ]),
// Bool false
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    255,
    235,
    95,
    200,
    65,
    58,
    194,
    202,
    156,
    255,
    95,
    219,
    140,
    255,
    51,
    40,
    245,
    177,
    11,
    56
  ]),
// Float
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    202,
    28,
    71,
    108,
    114,
    57,
    192,
    220,
    208,
    36,
    166,
    43,
    155,
    145,
    116,
    95,
    208,
    111,
    45,
    148
  ]),
// Unicode string
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    246,
    242,
    230,
    201,
    120,
    53,
    150,
    167,
    246,
    67,
    68,
    4,
    22,
    246,
    83,
    93,
    126,
    136,
    160,
    106,
    184,
    211,
    254,
    245,
    85,
    111,
    163,
    27,
    57,
    32,
    159,
    5,
    150,
    189,
    238,
    92,
    17,
    91,
    231,
    94,
    86,
    221,
    167,
    190,
    140,
    56,
    104,
    51,
    203,
    113,
    30,
    20,
    92,
    5,
    109,
    247,
    118,
    94,
    223,
    255,
    39,
    253,
    216,
    166,
    85,
    87,
    77,
    225,
    102,
    61,
    81,
    54,
    198,
    192,
    115,
    121,
    219,
    36,
    119,
    29,
    13,
    192,
    168,
    6,
    220,
    231,
    89,
    29,
    96,
    184,
    115,
    57,
    26,
    41,
    98,
    197,
    144,
    149,
    62,
    35
  ]),
// Empty list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    23,
    154,
    88,
    247,
    48,
    30,
    65,
    254,
    8,
    51,
    111,
    101,
    239,
    164,
    197,
    72,
    182,
    143,
    86,
    110
  ]),
// Byte list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    242,
    153,
    222,
    245,
    62,
    135,
    75,
    174,
    228,
    171,
    172,
    148,
    140,
    40,
    116,
    22,
    68,
    192,
    249,
    15
  ]),
// Int list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    6,
    137,
    9,
    41,
    139,
    241,
    213,
    209,
    162,
    147,
    104,
    61,
    12,
    160,
    0,
    71,
    53,
    159,
    201,
    137,
    168,
    107,
    214,
    131,
    179,
    215,
    222,
    148,
    23,
    13,
    45,
    148,
    181,
    92,
    218,
    96
  ]),
// Bool list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    224,
    50,
    84,
    92,
    38,
    165,
    239,
    122,
    127,
    156,
    40,
    149,
    204,
    235,
    250,
    1,
    184,
    249,
    240,
    7
  ]),
// Double list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    153,
    230,
    46,
    133,
    162,
    252,
    62,
    74,
    238,
    190,
    28,
    115,
    43,
    179,
    204,
    182,
    91,
    195,
    216,
    15,
    52,
    58,
    28,
    183,
    97,
    26,
    23,
    204,
    50,
    206,
    242,
    204,
    200,
    103,
    95,
    20,
    58,
    8,
    31,
    164,
    24,
    33,
    152,
    234,
    172,
    99,
    159,
    100,
    79,
    204,
    223,
    69
  ]),
// String list
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    234,
    180,
    21,
    113,
    252,
    213,
    189,
    6,
    125,
    65,
    165,
    153,
    87,
    23,
    168,
    113,
    41,
    131,
    171,
    142,
    247,
    51,
    107,
    178,
    87,
    103,
    211,
    53,
    51,
    125,
    239,
    108,
    94,
    172,
    49,
    149,
    177,
    34,
    244,
    164,
    223,
    29,
    202,
    204,
    153,
    19,
    225,
    224,
    105,
    114,
    147,
    55,
    15,
    3,
    59,
    70,
    89,
    38,
    91,
    69,
    197,
    220,
    175,
    92,
    0,
    124,
    133,
    15,
    11,
    5,
    29,
    39,
    246,
    151,
    89,
    219,
    234,
    121,
    110,
    60,
    13,
    6,
    174,
    130,
    211,
    216,
    27,
    21,
    193,
    13,
    167,
    229,
    41,
    213,
    65,
    252,
    10,
    149,
    39,
    209,
    179,
    228,
    39,
    123,
    98,
    94,
    220,
    80,
    122,
    88,
    9,
    160,
    102,
    16,
    80,
    158,
    124,
    109,
    197,
    10,
    14,
    24,
    3,
    27,
    255,
    101,
    127,
    228,
    214,
    184,
    27,
    166,
    12,
    67,
    198,
    19,
    182,
    186,
    46,
    1,
    124,
    155,
    182,
    103,
    38,
    29,
    199,
    169,
    37,
    46,
    12,
    74,
    166,
    164,
    137,
    163,
    64,
    57,
    186,
    106,
    75,
    80,
    98,
    214
  ]),
// List with null
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    29,
    11,
    227,
    37,
    200,
    127,
    108,
    227,
    211,
    29,
    26,
    211,
    12,
    130,
    141,
    12,
    249,
    97,
    44,
    77,
    42,
    122,
    204,
    115,
    2,
    193,
    76,
    196,
    229,
    172,
    187,
    23,
    196,
    50,
    5,
    197
  ]),
// List with different types
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    101,
    223,
    25,
    172,
    196,
    43,
    141,
    25,
    90,
    28,
    121,
    126,
    81,
    33,
    199,
    154,
    12,
    241,
    163,
    202,
    237,
    83,
    216,
    89,
    234,
    213,
    149,
    21,
    97,
    228,
    27,
    241,
    203,
    21,
    169,
    36,
    185,
    160,
    209,
    215,
    116,
    181,
    79,
    171,
    43,
    234,
    8,
    220,
    245,
    35,
    113,
    198,
    114,
    36,
    166,
    120,
    211,
    106,
    232,
    116,
    150,
    54,
    97,
    43,
    174,
    246,
    47,
    45,
    77,
    175,
    196,
    233,
    96,
    160,
    165,
    78,
    3,
    107,
    37,
    24,
    252,
    50,
    116,
    201
  ]),
// Map
  Uint8List.fromList([
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    4,
    68,
    37,
    84,
    70,
    195,
    3,
    160,
    224,
    19,
    77,
    145,
    193,
    20,
    158,
    131,
    183,
    166,
    205,
    197,
    21,
    62,
    152,
    139,
    210,
    12,
    64,
    142,
    204,
    70,
    116,
    151,
    241,
    190,
    222,
    2,
    140,
    179,
    37,
    221,
    117,
    29,
    103,
    3,
    43,
    247,
    13,
    67,
    37,
    16,
    147,
    178,
    131,
    136,
    167,
    81,
    203,
    25,
    45,
    143,
    129,
    141,
    204,
    177,
    45,
    134,
    134,
    188,
    128,
    106,
    40,
    7,
    174,
    55,
    214,
    106,
    234,
    68,
    197,
    17,
    121,
    59,
    13,
    91,
    101,
    191,
    136,
    188,
    50,
    178,
    110,
    160,
    55,
    233,
    224,
    160,
    4,
    254,
    133,
    106,
    49,
    165,
    20,
    189,
    192,
    229,
    176,
    170,
    249,
    128,
    174,
    157,
    61,
    116,
    67,
    205,
    68,
    71,
    207,
    63,
    186,
    109,
    94,
    78,
    50,
    12,
    151,
    125,
    248,
    168,
    13,
    196,
    96,
    117,
    27,
    172,
    0,
    72,
    176,
    205,
    159,
    130,
    212,
    107,
    178,
    183,
    60,
    81,
    39
  ]),
];
